DSDP(1)

NAME
dsdp5 - semidefinite program solver

SYNOPSIS
dsdp5 [options] filename
maxcut [options] filename
theta filename

DESCRIPTION
This manual page documents briefly the dsdp5, theta and maxcut commands.

dsdp5 -- interface to solve general semi-definite programs
maxcut -- solves a SDP relaxation of the maximum cut problem
theta -- solves the Lovasz thetha problem

OPTIONS
A summary of options is included below. For a complete description, see /usr/share/doc/dsdp-doc.

-help
    Show summary of options.

-v, --version
    Show version of program.

-print
    print information at each k iteration (default 10)

-save
    filename of solution file in SDPA format

-fout
    filename to print standard monitor to a file

-y0 filename for initial solution file

-benchmark
    filename to file containing names of SDPA files

-directory
    path to directory containing benchmark SDPA files

-suffix
    suffix to add to each benchmark problem name

-dloginfo
    print more information for higher numbers (default 0)

-dlogsummary
    print timing information (default 1 - enabled)

-gaptol
    gap tolerance parameter, stop when relative duality gap less than this gap (default 1e-6)

-r0 if nonnegative, initialize S by adding this multiple of the identity matrix (default -1)

-penalty
    penalize dual infeasibility (default 1e10)

-boundy
    bound for variables y (default 1e7)

-maxit
    set maximum iterates (default 200)

-zbar
    Upper bound for dual solution (default 1e10)

-mu0
    if positive, set initial barrier parameter (default -1)

-rho
    Potential parameter as multiple of dimension (default 3)

-drho
    Use dynamic rho strategy (default 1)

-pnormtol
    stop only if pnorm less than (default 1e30)

-reuse
    Reuse the Schur Matrix this many times (default 4)

-dobjmin
    apply a known lower bound for the objective at solution as a constraint.

-bigM
    if positive, modify algorithm to make dual infeasibility positive with a large associated cost (default 0)

-dloginfo
    print more information for higher numbers (default 0)

-params
    filename to read selected options from a file

SEE ALSO
glpsol(1),

The programs are documented fully in the accompanying .pdf and html documentation
    which can be found in /usr/share/doc/dsdp-doc if the dsdp-doc package is installed.

AUTHOR
dsdp was written by Steven J. Benson <benson@mcs.anl.gov> and Yinyu Ye <yinyu-ye@stanford.edu>

This manual page was written by Soeren Sonnenburg <sonne@debian.org>, for the Debian project (but may be used by others).